﻿
@{
    ViewBag.Title = "Parent Contact";
    Layout = null;
    var baseUrl = UrlHelpers.HomeUrl();
}
@model  InternalRosterReportsSchoolPdfViewModel
<html>
<head>
    <meta charset="utf-8">
    <title>Parent Contact</title>
    <meta http-equiv="content-type" content="text/html; charset=utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <style>
        /*common table code start*/

        @@font-face {
            font-family: "PT Serif Caption";
            font-style: normal;
            font-weight: 400;
            src: local("Cambria"),local("PT Serif Caption"),local("PTSerif-Caption"),url(https://themes.googleusercontent.com/static/fonts/ptserifcaption/v6/7xkFOeTxxO1GMC1suOUYWWhBabBbEjGd1iRmpyoZukE.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Light";
            font-style: normal;
            font-weight: 300;
            src: local("Segoe UI Light"),local("Open Sans Light"),local("OpenSans-Light"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/DXI1ORHCpsQm3Vp6mXoaTZ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans";
            font-style: normal;
            font-weight: 400;
            src: local("Segoe UI"),local("Open Sans"),local("OpenSans"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/K88pR3goAWT7BTt32Z01mz8E0i7KZn-EPnyo3HZu7kw.woff) format('woff');
        }

        @@font-face {
            font-family: "Open Sans Bold";
            font-style: normal;
            font-weight: 700;
            src: local("Segoe UI Bold"),local("Open Sans Bold"),local("OpenSans-Bold"),url(https://themes.googleusercontent.com/static/fonts/opensans/v8/k3k702ZOKiLJc3WVjuplzJ1r3JsPcQLi8jytr04NNhU.woff) format('woff');
        }

        * {
            font-family: 'Segoe UI','Open Sans',Verdana,Arial,Helvetica,sans-serif;
            font-weight: normal;
            font-style: normal;
            -webkit-box-sizing: border-box;
            -moz-box-sizing: border-box;
            -ms-box-sizing: border-box;
            -o-box-sizing: border-box;
            box-sizing: border-box;
        }


        /*common table code end*/
    </style>
    <link href="@string.Format("{0}/{1}", baseUrl, "/Areas/Dashboard/Content/flyer/FlyerStyle.css")" rel="stylesheet" />
    <style>
        .structure-gray th {
            white-space: nowrap !important;
        }

        .jbt-table-custom .hr {
            margin: 5px !important;
            background-color: #ccc !important;
        }

        .jbt-table-custom p.small-text, .jbt-table-custom p.small-text span {
            font-size: 11px !important;
        }

        .structure-divider-large:not(:last-child) {
            page-break-after: always;
        }
    </style>
</head>
<body>
    <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray break-table-page">
        <tr>
            <td colspan="3" class="structure-bold structure-text-center td-box-logo">

                @if (!string.IsNullOrEmpty(Model.ClubLogo) && Model.ClubLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.ClubLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.ClubLogo)" />
                }

                @if (!string.IsNullOrEmpty(Model.SchoolLogo) && Model.SchoolLogo.ToLower().Contains("http"))
                {
                    <img class="report-logo" src="@Model.SchoolLogo" />
                }
                else
                {
                    <img class="report-logo" src="@string.Format("{0}/{1}", baseUrl, Model.SchoolLogo)" />
                }

            </td>
        </tr>
    </table>
    @foreach (var item in Model.Programs)
    {
        <div class="structure-divider-large">
            <table class="jbt-table-custom structure-gray structure-no-bordered">
                <tr>
                    <td><span class="structure-bold structure-no-wrap" style="width:220px">Class: </span> @item.ClassName</td>
                </tr>
            </table>
            @if (@item.ProgramParticipants != null)
            {
                <table class="jbt-table-custom" style="max-width:900px">
                    <thead>
                        <tr class="structure-gray structure-text-center" style="height: 44px;">
                            <th style="min-width:40px;max-width:40px">#</th>
                            <th class="structure-no-wrap" style="max-width:50px !important;min-width:50px !important;">Participant</th>
                            
                            <th class="structure-no-wrap" style="max-width:110px !important;padding:0 3px">Contact</th>

                            <th class="structure-no-wrap" style="max-width:110px !important;padding:0 3px;min-width:80px !important;">Phone</th>

                            <th class="structure-no-wrap" style="max-width:110px !important;padding:0 3px;min-width:110px !important;">Authorized pickup</th>

                           
                            <th class="structure-no-wrap" style="max-width:50px !important;min-width:50px !important;">Photo</th>

                            <th class="structure-no-wrap" style="max-width:85px !important;padding:0 3px;min-width:85px !important;">Allergies</th>

                            <th class="structure-no-wrap" style="max-width:85px !important;padding:0 3px;min-width:85px !important;word-break: break-word!important;white-space:initial !important">Medical conditions</th>
                            <th style="max-width:35px!important;min-width:35px!important;padding:0 3px;word-break: break-word!important;white-space:initial !important;">Grade Age</th>
                        </tr>
                        <tr class="structure-text-center structure-gray">
                            <th style="min-width:40px;max-width:40px">#</th>
                            <th class="structure-no-wrap" style="max-width:70px !important;min-width:70px !important;">Participant</th>
                            <th  style="max-width:110px !important;padding:8px 3px">
                                <span class="structure-no-wrap">Parent 1</span>
                                <hr class="hr" />
                                <span class="structure-no-wrap">Parent 2</span>
                                <hr class="hr" />
                                <span class="structure-no-wrap">Emergency contact</span>
                            </th>
                            <th  style="max-width:110px !important;padding:8px 3px;min-width:80px !important;">
                                <span class="structure-no-wrap">Parent 1</span>
                                <hr class="hr" />
                                <span class="structure-no-wrap">Parent 2</span>
                                <hr class="hr" />
                                <span class="structure-no-wrap">Emergency contact</span>
                            </th>
                            <th style="max-width:115px !important;padding:8px 3px;min-width:110px !important;">
                                <span class="structure-no-wrap">Authorized pickup 1</span>
                                <hr class="hr" />
                                <span class="structure-no-wrap">Authorized pickup 2</span>
                                <hr class="hr" />
                                <span class="structure-no-wrap">Authorized pickup 3</span>
                            </th>
                            <th style="max-width:50px !important;min-width:50px !important;">Photo</th>
                            <th  style="max-width:85px !important;padding:0 3px;min-width:85px !important;">Allergies</th>
                            <th style="max-width:85px !important;padding:0 3px;min-width:85px !important;word-break: break-word!important;white-space:initial !important;">Medical conditions</th>
                            <th style="max-width:35px!important;min-width:35px!important;padding:0 3px;word-break: break-word!important;white-space:initial !important">Grade Age</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var participant in item.ProgramParticipants)
                        {
                            <tr class="structure-text-center">
                                <td style="min-width:40px;max-width:40px">@participant.Number</td>
                                <td  style="max-width:70px !important;min-width:70px !important;word-break: break-word!important;white-space:initial !important;">@participant.ParticipantName  </td>

                                <td style="max-width:110px !important;padding:0 3px;word-break: break-word!important;white-space:initial !important;">

                                    <span>@participant.Parent1Name </span><hr class="hr" />
                                    <span>@participant.Parent2Name</span><hr class="hr" />
                                    <span>@participant.EmergencyContactName</span>

                                </td>
                                <td style="white-space:nowrap;max-width:110px !important;padding:0 3px;min-width:80px !important;">

                                    <span>@participant.Parent1Phone</span><hr class="hr" />
                                    <span>@participant.Parent2Phone</span><hr class="hr" />
                                    <span>@participant.EmergencyContactPhone</span>

                                </td>
                                <td style="word-break: break-word!important;white-space:initial !important;max-width:110px !important;padding:0 3px;min-width:110px !important;">

                                    <span>@participant.AuthorizedPickup1Name</span><hr class="hr" />
                                    <span>@participant.AuthorizedPickup2Name</span><hr class="hr" />
                                    <span>@participant.AuthorizedPickup3Name</span>

                                </td>
                                <td style="word-break: break-word!important;white-space:initial !important;max-width:50px !important;min-width:50px !important;">@participant.PermissionPhotography </td>
                                <td style="word-break: break-word!important;white-space:initial !important;max-width:85px !important;padding:0 3px;min-width:85px !important;">@participant.Allergies </td>
                                <td style="word-break: break-word!important;white-space:initial !important;max-width:85px !important;padding:0 3px;min-width:85px !important;">@participant.MedicalConditions </td>
                                <td style="word-break: break-word!important;white-space:initial !important;max-width:35px!important;min-width:35px!important;padding:0 3px;">@participant.GradeOrAge </td>
                            </tr>
                        }
                    </tbody>



                </table>
            }

        </div>
    }




</body>
</html>
